Upstream information

CVE-2021-30465 at MITRE

Description

runc before 1.0.0-rc95 allows a Container Filesystem Breakout via Directory Traversal. To exploit the vulnerability, an attacker must be able to create multiple containers with a fairly specific mount configuration. The problem occurs via a symlink-exchange attack that relies on a race condition.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6
Vector AV:N/AC:M/Au:S/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.5 8.4
Vector CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Local
Access Complexity High Low
Privileges Required Low None
User Interaction None None
Scope Changed Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1185405 [NEW], 1189161 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP2-CHOST-BYOS-Aliyun
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-EC2
Image SLES15-SP2-CHOST-BYOS-GCE
Image SLES15-SP3-CHOST-BYOS-Aliyun
Image SLES15-SP3-CHOST-BYOS-Azure
Image SLES15-SP3-CHOST-BYOS-EC2
Image SLES15-SP3-CHOST-BYOS-GCE
  • containerd >= 1.4.4-5.32.1
  • containerd-ctr >= 1.4.4-5.32.1
  • docker >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
SUSE CaaS Platform 4.0
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-1954
SUSE-SUSE-CAASP-4.0-2021-3506
SUSE Enterprise Storage 6
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-Storage-6-2021-1954
SUSE-Storage-6-2021-3506
SUSE Enterprise Storage 7
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-Storage-7-2021-1954
SUSE-Storage-7-2021-3506
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-1954
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-3506
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-1954
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-3506
SUSE Linux Enterprise High Performance Computing 15-ESPOS
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-1954
SUSE-SLE-Product-HPC-15-2021-3506
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-1954
SUSE-SLE-Product-HPC-15-2021-3506
SUSE Linux Enterprise Module for Containers 12
  • containerd >= 1.4.11-16.45.1
  • docker >= 20.10.9_ce-98.72.1
  • runc >= 1.0.2-16.14.1
Patchnames:
SUSE-SLE-Module-Containers-12-2021-1885
SUSE-SLE-Module-Containers-12-2021-3336
SUSE Linux Enterprise Module for Containers 15 SP2
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SLE-Module-Containers-15-SP2-2021-1954
SUSE-SLE-Module-Containers-15-SP2-2021-3506
SUSE Linux Enterprise Module for Containers 15 SP3
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • docker-fish-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SLE-Module-Containers-15-SP3-2021-1954
SUSE-SLE-Module-Containers-15-SP3-2021-3506
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • containerd-ctr >= 1.4.11-56.1
  • docker-kubic >= 20.10.9_ce-156.1
  • docker-kubic-bash-completion >= 20.10.9_ce-156.1
  • docker-kubic-kubeadm-criconfig >= 20.10.9_ce-156.1
  • docker-kubic-zsh-completion >= 20.10.9_ce-156.1
  • docker-zsh-completion >= 20.10.9_ce-156.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-1954
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-3506
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • containerd-ctr >= 1.4.11-56.1
  • docker-kubic >= 20.10.9_ce-156.1
  • docker-kubic-bash-completion >= 20.10.9_ce-156.1
  • docker-kubic-fish-completion >= 20.10.9_ce-156.1
  • docker-kubic-kubeadm-criconfig >= 20.10.9_ce-156.1
  • docker-kubic-zsh-completion >= 20.10.9_ce-156.1
  • docker-zsh-completion >= 20.10.9_ce-156.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-1954
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-3506
SUSE Linux Enterprise Server 15 SP1-BCL
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-1954
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-3506
SUSE Linux Enterprise Server 15 SP1-LTSS
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-1954
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-3506
SUSE Linux Enterprise Server 15-LTSS
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-1954
SUSE-SLE-Product-SLES-15-2021-3506
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-1954
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-3506
SUSE Linux Enterprise Server for SAP Applications 15
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-1954
SUSE-SLE-Product-SLES_SAP-15-2021-3506
SUSE Manager Proxy 4.0
  • containerd >= 1.4.4-5.32.1
  • docker >= 20.10.6_ce-6.49.3
  • docker-bash-completion >= 20.10.6_ce-6.49.3
  • runc >= 1.0.0~rc93-1.14.2
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-1954
SUSE Manager Retail Branch Server 4.0
  • containerd >= 1.4.4-5.32.1
  • docker >= 20.10.6_ce-6.49.3
  • docker-bash-completion >= 20.10.6_ce-6.49.3
  • runc >= 1.0.0~rc93-1.14.2
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-1954
SUSE Manager Server 4.0
  • containerd >= 1.4.4-5.32.1
  • docker >= 20.10.6_ce-6.49.3
  • docker-bash-completion >= 20.10.6_ce-6.49.3
  • runc >= 1.0.0~rc93-1.14.2
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-1954
SUSE MicroOS 5.0
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SUSE-MicroOS-5.0-2021-1954
SUSE-SUSE-MicroOS-5.0-2021-3506
SUSE MicroOS 5.1
  • containerd >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
SUSE-SUSE-MicroOS-5.1-2021-3506
openSUSE Leap 15.2
  • containerd >= 1.4.11-lp152.2.12.1
  • containerd-ctr >= 1.4.11-lp152.2.12.1
  • docker >= 20.10.9_ce-lp152.2.18.1
  • docker-bash-completion >= 20.10.9_ce-lp152.2.18.1
  • docker-fish-completion >= 20.10.9_ce-lp152.2.18.1
  • docker-zsh-completion >= 20.10.9_ce-lp152.2.18.1
  • runc >= 1.0.2-lp152.2.9.1
Patchnames:
openSUSE-2021-1404
openSUSE-2021-878
openSUSE Leap 15.3
  • containerd >= 1.4.11-56.1
  • containerd-ctr >= 1.4.11-56.1
  • docker >= 20.10.9_ce-156.1
  • docker-bash-completion >= 20.10.9_ce-156.1
  • docker-fish-completion >= 20.10.9_ce-156.1
  • docker-kubic >= 20.10.9_ce-156.1
  • docker-kubic-bash-completion >= 20.10.9_ce-156.1
  • docker-kubic-fish-completion >= 20.10.9_ce-156.1
  • docker-kubic-kubeadm-criconfig >= 20.10.9_ce-156.1
  • docker-kubic-zsh-completion >= 20.10.9_ce-156.1
  • docker-zsh-completion >= 20.10.9_ce-156.1
  • runc >= 1.0.2-23.1
Patchnames:
openSUSE-SLE-15.3-2021-1954
openSUSE-SLE-15.3-2021-3506
openSUSE Tumbleweed
  • runc >= 1.0.2-1.2
Patchnames:
openSUSE Tumbleweed GA runc-1.0.2-1.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 runc Released
SUSE Enterprise Storage 6 runc Released
SUSE Enterprise Storage 7 runc Released
SUSE Linux Enterprise High Performance Computing 15 LTSS runc Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS runc Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS runc Released
SUSE Linux Enterprise Micro 5.0 runc Released
SUSE Linux Enterprise Micro 5.1 runc Released
SUSE Linux Enterprise Module for Containers 12 runc Released
SUSE Linux Enterprise Module for Containers 15 SP2 runc Released
SUSE Linux Enterprise Module for Containers 15 SP3 runc Released
SUSE Linux Enterprise Server 15 LTSS runc Released
SUSE Linux Enterprise Server 15 SP1 LTSS runc Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 runc Released
SUSE Linux Enterprise Server for SAP Applications 15 runc Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 runc Released
SUSE Manager Proxy 4.0 runc Released
SUSE Manager Retail Branch Server 4.0 runc Released
SUSE Manager Server 4.0 runc Released